## python-graphene-mongo 0.4.1

=== Makefile ===
clean:
	@rm -f .coverage 2> /dev/null
	@rm -rf .eggs 2> /dev/null
	@rm -rf .cache 2> /dev/null
	@rm -rf ./graphene_mongo/.cache 2> /dev/null
	@rm -rf build 2> /dev/null
	@rm -rf dist 2> /dev/null
	@rm -rf graphene_mongo.egg-info 2> /dev/null
	@find . -name "*.pyc" -delete
	@find . -name "*.swp" -delete
	@find . -name "__pycache__" -delete

lint:
	@ruff check graphene_mongo
	@ruff format . --check

test: clean
	pytest graphene_mongo/tests --cov=graphene_mongo --cov-report=html --cov-report=term

register-pypitest:
	#python setup.py register -r pypitest

deploy-pypitest: clean
	poetry build
	#poetry publish --repository testpypi
	twine upload --repository testpypi dist/*

register:
	#python setup.py register -r pypi

deploy: clean
	poetry build
	twine upload dist/*
	#poetry publish

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Graphene.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Graphene.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Graphene"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Graphene"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== examples/django_mongoengine/requirements.txt ===
Django==2.2.28
pytest==4.6.3
pytest-django==3.5.1
mongoengine==0.27.0
mongomock==3.16.0
graphene-django==2.4.0
graphene-mongo

=== examples/falcon_mongoengine/requirements.txt ===
falcon==2.0.0
mongoengine==0.17.0
graphene-mongo
waitress==2.1.2
pytest==4.6.3
mongomock==3.16.0

=== examples/flask_mongoengine/requirements.txt ===
Flask>=1.0.0
Flask-GraphQL==2.0.0
graphene-mongo
mongomock==3.14.0

=== debian/changelog ===
python-graphene-mongo (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * source-only upload.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 03 Feb 2024 18:19:01 -0300

python-graphene-mongo (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #1059740)

 -- Ananthu C V <weepingclown@disroot.org>  Wed, 27 Dec 2023 15:06:35 +0000

=== debian/control ===
Source: python-graphene-mongo
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ananthu C V <weepingclown@disroot.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-asgiref <!nocheck>,
               python3-bson <!nocheck>,
               python3-graphene <!nocheck>,
               python3-mongoengine (>= 0.27.0) <!nocheck>,
               python3-mongomock <!nocheck>,
               python3-poetry-core,
               python3-promise <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-sphinx,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.6.2.0
Homepage: https://github.com/graphql-python/graphene-mongo
Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphene-mongo.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphene-mongo
Rules-Requires-Root: no

Package: python3-graphene-mongo
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Mongoengine integration for graphene
 Graphene-Mongo provides mongoengine integration to graphene
 graphql library.

Package: python-graphene-mongo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for the graphene-mongo Python library
 Graphene-Mongo provides mongoengine integration to graphene
 graphql library.
 .
 This package provides documentation for graphene-mongo.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = graphene-mongo
export PYBUILD_AFTER_INSTALL = rm -rf '{destdir}/{install_dir}/graphene_mongo/tests'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/tests/control ===
Tests: run-pytest
Depends: @,
	 @builddeps@,
	 python3-all
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/graphql-python/graphene-mongo/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-graphene-mongo 0.4.4

=== docs/requirements.txt ===
# Docs template
http://graphene-python.org/sphinx_graphene_theme.zip

=== examples/django_mongoengine/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Django==2.2.28
+Django==3.2.25
 pytest==4.6.3
 pytest-django==3.5.1
 mongoengine==0.27.0

=== debian/changelog ===
python-graphene-mongo (0.4.4-2) unstable; urgency=high

  * Team upload
  * Depend on the current python3-mongoengine
  * Disable tests, they depend on buggy mongomock, see #1085136

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 15 Oct 2024 11:22:36 +0200

python-graphene-mongo (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4
  * Add graphene-federation build dependency and apply wrap-and-sort
  * Mark the doc binary package as M-A: foreign
  * Bump standards version to 4.7.0 (no changes needed)

 -- Ananthu C V <weepingclown@disroot.org>  Mon, 01 Jul 2024 00:07:13 +0530

python-graphene-mongo (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * Unfuzz patches and drop the ones applied upstream

 -- Ananthu C V <weepingclown@disroot.org>  Wed, 20 Mar 2024 21:37:46 +0530

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,16 @@
                python3-asgiref <!nocheck>,
                python3-bson <!nocheck>,
                python3-graphene <!nocheck>,
-               python3-mongoengine (>= 0.27.0) <!nocheck>,
-               python3-mongomock <!nocheck>,
+               python3-graphene-federation <!nocheck>,
+               python3-mongoengine (>= 0.29.1) <!nocheck>,
+#               python3-mongomock <!nocheck>,
                python3-poetry-core,
                python3-promise <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-sphinx,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/graphql-python/graphene-mongo
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphene-mongo.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphene-mongo
@@ -33,6 +34,7 @@
 Package: python-graphene-mongo-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: documentation for the graphene-mongo Python library
  Graphene-Mongo provides mongoengine integration to graphene

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
 	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
 endif
+
+override_dh_auto_test:
+	true

=== debian/tests/control ===
#Tests: run-pytest
#Depends: python3-all, @, @builddeps@
#Restrictions: allow-stderr
